Skip to main content
GET
/
api
/
v1
/
projects
/
{projectUuid}
/
sqlRunner
/
saved
/
{uuid}
Error
A valid request URL is required to generate request examples
{
  "results": {
    "lastViewedAt": "2023-11-07T05:31:56Z",
    "firstViewedAt": "2023-11-07T05:31:56Z",
    "views": 123,
    "organization": {
      "organizationUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "project": {
      "projectUuid": "<string>"
    },
    "dashboard": {
      "name": "<string>",
      "uuid": "<string>"
    },
    "space": {
      "name": "<string>",
      "uuid": "<string>",
      "isPrivate": true,
      "userAccess": {
        "hasDirectAccess": true,
        "role": "viewer",
        "userUuid": "<string>",
        "inheritedFrom": "organization",
        "inheritedRole": "member",
        "projectRole": "viewer"
      }
    },
    "lastUpdatedBy": {},
    "lastUpdatedAt": "2023-11-07T05:31:56Z",
    "createdBy": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "chartKind": "line",
    "config": {
      "type": "vertical_bar",
      "metadata": {
        "version": 123
      },
      "display": {
        "stack": true,
        "legend": {
          "align": "start",
          "position": "top"
        },
        "series": {},
        "yAxis": [
          {
            "format": "km",
            "position": "<string>",
            "label": "<string>"
          }
        ],
        "xAxis": {
          "dateFormat": "<string>",
          "type": "time",
          "label": "<string>"
        }
      },
      "fieldConfig": {
        "y": [
          {
            "aggregation": "sum",
            "reference": "<string>"
          }
        ],
        "stack": true,
        "sortBy": [
          {
            "direction": "ASC",
            "reference": "<string>",
            "nullsFirst": true
          }
        ],
        "groupBy": [
          {
            "reference": "<string>"
          }
        ],
        "x": {
          "type": "time",
          "reference": "<string>"
        }
      }
    },
    "limit": 123,
    "sql": "<string>",
    "slug": "<string>",
    "description": "<string>",
    "name": "<string>",
    "savedSqlUuid": "<string>"
  },
  "status": "ok"
}

Documentation Index

Fetch the complete documentation index at: https://lightdash-work-with-ai-section-1771841038.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

uuid
string
required

the uuid for the saved sql chart

projectUuid
string
required

the uuid for the project

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok